    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2008, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -----------------------------
    028     * CategoryToolTipGenerator.java
    029     * -----------------------------
    030     * (C) Copyright 2001-2008, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * Changes
    036     * -------
    037     * 15-Apr-2004 : Separated tool tip method from CategoryItemLabelGenerator
    038     *               interface (DG);
    039     *
    040     */
    041
    042    package org.jfree.chart.labels;
    043
    044    import org.jfree.data.category.CategoryDataset;
    045
    046    /**
    047     * A <i>category tool tip generator</i> is an object that can be assigned to a
    048     * {@link org.jfree.chart.renderer.category.CategoryItemRenderer} and that
    049     * assumes responsibility for creating text items to be used as tooltips for the
    050     * items in a {@link org.jfree.chart.plot.CategoryPlot}.
    051     * <p>
    052     * To assist with cloning charts, classes that implement this interface should
    053     * also implement the <code>org.jfree.util.PublicCloneable</code> interface (in
    054     * JCommon).
    055     */
    056    public interface CategoryToolTipGenerator {
    057
    058        /**
    059         * Generates the tool tip text for an item in a dataset.  Note: in the
    060         * current dataset implementation, each row is a series, and each column
    061         * contains values for a particular category.
    062         *
    063         * @param dataset  the dataset (<code>null</code> not permitted).
    064         * @param row  the row index (zero-based).
    065         * @param column  the column index (zero-based).
    066         *
    067         * @return The tooltip text (possibly <code>null</code>).
    068         */
    069        public String generateToolTip(CategoryDataset dataset, int row, int column);
    070
    071    }